## Name

gfs_acl_error — convert a Gfarm ACL error code to a text message

## Synopsis

    #include <gfarm/gfarm.h>

`const char * gfs_acl_error(` | acl_check_err_code`)`; |

`int acl_check_err_code`;

## INPUT ARGUMENTS

`acl_check_err_code`

  A error code returned by gfs_acl_check(3).

## RETURN VALUE

If the acl_check_err_code is `GFARM_ACL_MULTI_ERROR`, "Multiple entries" is returned. If the acl_check_err_code is `GFARM_ACL_DUPLICATE_ERROR`, "Duplicate entries" is returned. If the acl_check_err_code is `GFARM_ACL_MISS_ERROR`, "Missing or wrong entry" is returned. If the acl_check_err_code is `GFARM_ACL_ENTRY_ERROR`, "Invalid entry type" is returned. "No error" is returned otherwise.

## SEE ALSO

gfs_acl_check(3), gfs_acl_valid(3)